<?php
/* * * *
 * Skórka Optymizm dla PHP-Fusion v7.01
 * autor: Tomasz "jantom" Jankowski
 * plik: Optymizm/theme.php
 * wersja: 1.0
 * * * *
 * This program is released as free software under the
 * Affero GPL license. You can redistribute it and/or
 * modify it under the terms of this license which you
 * can read by viewing the included agpl.txt or online
 * at www.gnu.org/licenses/agpl.html. Removal of this
 * copyright header is strictly prohibited without
 * written permission from the original author(s).
 * * * */
if (!defined("IN_FUSION")) {
	header("Location: ../../index.php");
	exit;
}
require_once INCLUDES . "theme_functions_include.php"; //funkcje dla skórki
require_once THEMES."templates/switcher.php"; //funkcje dla zmiany wyglądu
require_once INCLUDES."output_handling_include.php"; //funcje dla Output Handling
define("THEME_BULLET", "<span class='punkt'></span>"); //obrazek wypunktowania

$panel_collapse = true;
$zmieniarka_czcionki = new Switcher("increment", "fontsize", "png", 0.8, "switcherbutton", "", true, array("step" => 0.1, "max" => 1));
$kolor_strony = new Switcher("select", "color", "png", "blue", "switcherbutton");

function get_head_tags() {
	global $zmieniarka_czcionki,$kolor_strony;

	echo "<meta name='author' content='Tomasz \"jantom\" Jankowski'/>";
	echo $kolor_strony->makeHeadTag();
	echo "<style type='text/css'>body{font-size: ".$zmieniarka_czcionki->selected."em;}</style>";

	replace_in_output ("<hr class=\'side-hr\'/><!--sub_news_idx-->","<!--sub_news_idx-->");
	replace_in_output ("<br style=\'clear:both\' />",'<br />');

	$img_list = array(
		'newthread' => THEME."forum/newthread.png",
		'forum_edit'=> THEME."forum/edit.png",
		'quote' => THEME."forum/quote.png",
		'reply' => THEME."forum/reply.png",
		'folder' => THEME."forum/folder.png",
		'foldernew' => THEME."forum/foldernew.png",
		'folderlock' => THEME."forum/folderlock.png",
		'stickythread' => THEME."forum/stickythread.png",
	//Ikony pól profilu
		'web' => THEME."forum/web.png",
		'pm' => THEME."forum/pm.png",
	//Strzałki kierunkowe
		'up' => THEME."images/up.png",
		'down' => THEME."images/down.png",
		'right' => THEME."images/right.png",
		'left' => THEME."images/left.png",
	//Pokaż/ukryj panel
		'panel_on' => THEME."images/panel_on.png",
		'panel_off' => THEME."images/panel_off.png",
	//Gwiazdka (do ocen w galerii)
		'star' => THEME."images/star.png",
	//Ikona drukarki
		'printer' => THEME."images/printer.png",
	//Tło dla wyników ankiety/ocen
		'pollbar' => THEME."images/blank.gif",
	);

	foreach ($img_list as $img => $path) {
		set_image($img,$path);
	}
}

function render_page($license = false) {
	global $locale,$main_style,$settings,$zmieniarka_czcionki, $kolor_strony;

	echo "\n<div id='naglowek' >
	\n\t<div id='belka_gora'><span id='bll'></span><span id='blr'></span><div class='belka_hide'>";
	//Data
	echo "<div class='flright'>".showsubdate();
	//Zmieniarka kolorów
	echo $kolor_strony->makeForm('zmieniarka_kolor flright');
	echo "\n</div>";
	//Nawigacja pozioma
	echo "<div id='nawigacja_pozioma' class='flleft'>";
	echo showsublinks('');
	echo "</div>";
	echo "</div></div>";
	//Bannery
	echo "<h1 class='hide'>".$settings['sitename']."</h1>";
	echo "<div id='showbanners'>";
	echo showbanners();
	echo "</div>";
	echo "\n<div id='liscie'>\n</div>";
	//Zmieniarka czcionki
	echo "<div id='zmieniarka' class='$main_style'><div id='zmieniarka_cien'>";
	echo $zmieniarka_czcionki->makeForm("zmieniarka_czcionki");
	echo "</div></div>";
	echo "\n</div>";
	echo "<div id='pojemnik' class='clearfix $main_style'>";
	echo "\n<div id='panel_boczny'>";
	echo "<h2 class='hide'>Prawy panel</h2>";
	//Panele po lewej stronie
	echo LEFT;
	//Panele po prawej stronie
	echo RIGHT;
	echo "</div>";
	echo "\n<div id='tresc_strony'>";
	//Środkowe górne panele
	echo U_CENTER;
	//Zawartość strony
	echo CONTENT;
	//Środkowe dolne panele
	echo L_CENTER;
	echo "\n</div>";
	echo "\n</div>";
	echo "\n<div id='stopka' class='clear'>
	<div id='stopka_box'><p>Optymizm theme by <br /><a href='http://jantom.info'>Jantom.Studio</a></p></div>
	\n\t<p>";
	//Stopka strony
	echo stripslashes($settings['footer']);
	echo "\n</p>\n<p>";
	//Licznik odwiedzin
	echo showcounter();
	echo " | ";
	//Czas generowania strony i licznik zapytań SQL
	echo showrendertime();
	echo "\n</p>\n<p>";
	//Stopka autorska PHP-Fusion i licencja
	echo showcopyright();
	echo "\n</p>\n</div>\n";
}

function render_news($subject, $news, $info) {
	global $locale,$i,$settings;
	echo "<h2 class='bp'>".$subject."</h2>";
	echo "\n<div class='stopka_newsa'>";
	//Wyświetla datę i autora newsa
	echo newsposter($info," &bull; ");
	//Wyświetla kategorię newsa
	echo newscat($info," &bull; ");
	//Wyświetla informacje dotyczące komentarzy do newsa (o ile są one włączone), liczbie czytań oraz link do rozszerzonej części newsa
	echo newsopts($info," &bull; ");
	//Wyświetla ikony drukowania/edycji
	echo itemoptions("N",$info['news_id']);
	echo "\n</div>";
	echo "\n<div class='tresc_newsa floatfix'>".$news."</div>";
	if (!isset($_GET['readmore'])) echo "<hr class='side-hr'/>";
}

function render_article($subject, $article, $info) {
	global $locale;
	echo "<h2 class='bp'>".$subject."</h2>\n";
	echo "\n<div class='stopka_artykulu'>";
	//Wyświetla datę i autora artykułu
	echo articleposter($info," ·");
	//Wyświetla informacje o liczbie komentarzy (o ile są one włączone) oraz liczbie czytań
	echo articleopts($info,"·");
	//Wyświetla ikony drukowania/edycji
	echo itemoptions("A",$info['article_id']);
	echo "\n</div>";
	/* Skorzystanie z poniższego warunku włącza/wyłącza automatyczne łamanie linii */
	echo "\n<div class='floatfix'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div>\n";
}
function opentable($title) {

	echo "\n<h2>$title</h2>\n";
}

function closetable() {

}

function openside($title, $collapse = false, $state = "on") {

	static $box_id = 0;$hide = false;
	$box_id++;
	global $panel_collapse, $p_data;
	$panel_collapse = $collapse;
	if (strstr($p_data['panel_filename'],'navigation_panel')) {
		$collapse = false;
		$hide = true;
	}
	echo "<div class='blok_bok'>";
	echo ($collapse ? "<div class='onoff'>".panelbutton($state, $box_id)."</div>" : "").
	($hide==false ? "<h3>$title</h3>" : "").
	($collapse ? panelstate($state, $box_id) : "");
}

function closeside() {

	global $panel_collapse,$p_data;
	echo ($panel_collapse ? "\t</div>" : "");
	echo "</div>";
}
?>